<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1core_1_1_quaternion.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">framework::core::Quaternion Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classframework_1_1core_1_1_quaternion.html">framework::core::Quaternion</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html#a9e201925afd5d8777040e162beb28454">Conjugate</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html">framework::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html#a0a01fc4d483e3e3418e1e3d1f9b3a718">Derivate</a>(const Vector3D &amp;angularSpeed)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html">framework::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html#a43e13e22b373ffa61c754cbf97e759e7">GetConjugate</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html">framework::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html#a7ed5fb6d063f6e72b845d23898b18b6d">GetDerivative</a>(const Vector3D &amp;angularSpeed) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html">framework::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html#a24f424cf9147df43632a5c2ed4ee3db6">GetLogarithm</a>(Vector3D &amp;logarithm)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html">framework::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html#a051f1d1f9f921991a0ab1f414878cfd0">GetLogarithm</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html">framework::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html#acbb77de24a84b6a031f33fbb25b729a8">GetNorm</a>(void) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html">framework::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html#af71f96f0edf8491d46e080b3a3cd4f29">Normalize</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html">framework::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>operator+=</b>(const Quaternion &amp;quaternion) (defined in <a class="el" href="classframework_1_1core_1_1_quaternion.html">framework::core::Quaternion</a>)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html">framework::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>operator-=</b>(const Quaternion &amp;quaternion) (defined in <a class="el" href="classframework_1_1core_1_1_quaternion.html">framework::core::Quaternion</a>)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html">framework::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>operator=</b>(const Quaternion &amp;quaternion) (defined in <a class="el" href="classframework_1_1core_1_1_quaternion.html">framework::core::Quaternion</a>)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html">framework::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html#a47aef1d550786760389d409078bf14cb">q0</a></td><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html">framework::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html#adace442ce2538585fe5dbdd9da79275e">q1</a></td><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html">framework::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html#ad5db0b992ffe05a7ee9514e162e7cd8c">q2</a></td><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html">framework::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html#a80176bc6571ad07f9a61daa49d303410">q3</a></td><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html">framework::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html#a3a1c3830ca00a49c41d2246e26ac39c6">Quaternion</a>(float q0=1, float q1=0, float q2=0, float q3=0)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html">framework::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html#afebfad4202fe91b844d605b25874e9aa">ToEuler</a>(Euler &amp;euler) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html">framework::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html#a6e092fe84484f3f881613a63730e344a">ToEuler</a>(void) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html">framework::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html#aed265e0c2884ea6031aba6225b0ee232">ToRotationMatrix</a>(RotationMatrix &amp;matrix) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html">framework::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html#ad8d1965a6222c840daae5536f2503a67">~Quaternion</a>()</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_quaternion.html">framework::core::Quaternion</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
